Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 3 Apr 2018 14:44:54 +0000

Hi Les, 

Can you resubmit as draft-ginsberg-lsr-rfc7810bis-00.txt? Also, please add a "Changes from RFC 7810" section to the "Introduction". I see you have added RFC8174 to the "Requirements Language" section already. 

I think we should accept this as an LSR Working Group document - does anyone disagree? 

Thanks,
Acee

On 3/30/18, 6:39 PM, "Lsr on behalf of Les Ginsberg (ginsberg)" <[email-masked] on behalf of [email-masked]> wrote:

    Folks -
    
    A bis version of RFC 7810 has been submitted to address the issue reported in Errata ID: 5293 https://www.rfc-editor.org/errata_search.php?rfc=7810
    
    Given that there exist implementations which have interpreted the ambiguous encoding of some sub-TLVs in different/non-interoperable ways it was felt that a bis version of the RFC was justified.
    Please see the Appendix of the draft for a discussion of the changes from RFC 7810 and the reasons why.
    
       Les

    -----Original Message-----
    From: [email-masked] <[email-masked]> 
    Sent: Friday, March 30, 2018 3:33 PM
    To: Qin Wu <[email-masked]>; David Ward (wardd) <[email-masked]>; Spencer Giacolone <[email-masked]>; Spencer Giacalone <[email-masked]>; John Drake <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; David Ward (wardd) <[email-masked]>; Stefano Previdi <[email-masked]>
    Subject: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

    A new version of I-D, draft-ginsberg-isis-rfc7810bis-00.txt
    has been successfully submitted by Les Ginsberg and posted to the IETF repository.
    
    Name:		draft-ginsberg-isis-rfc7810bis
    Revision:	00
    Title:		IS-IS Traffic Engineering (TE) Metric Extensions
    Document date:	2018-03-30
    Group:		Individual Submission
    Pages:		19
    URL:            https://www.ietf.org/internet-drafts/draft-ginsberg-isis-rfc7810bis-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-ginsberg-isis-rfc7810bis/
    Htmlized:       https://tools.ietf.org/html/draft-ginsberg-isis-rfc7810bis-00
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-ginsberg-isis-rfc7810bis

    Abstract:
       In certain networks, such as, but not limited to, financial
       information networks (e.g., stock market data providers), network-
       performance criteria (e.g., latency) are becoming as critical to
       data-path selection as other metrics.
    
       This document describes extensions to IS-IS Traffic Engineering
       Extensions (RFC 5305) such that network-performance information can
       be distributed and collected in a scalable fashion.  The information
       distributed using IS-IS TE Metric Extensions can then be used to make
       path-selection decisions based on network performance.
    
       Note that this document only covers the mechanisms with which
       network-performance information is distributed.  The mechanisms for
       measuring network performance or acting on that information, once
       distributed, are outside the scope of this document.
    
       This document obsoletes RFC 7810.

    Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat
    
    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 4 Apr 2018 19:39:25 +0000

Well...this raises a topic on which I would like to have feedback from the WG.

Combining IS-IS/OSPF into one working group is fine - no argument there.
But, we now may be producing two classes of documents:

1)Documents which are specific to a protocol (IS-IS or OSPFv2 or OSPFv3)

2)Documents which cover 2 or more protocols

draft-ginsberg-isis-rfc7810bis-00.txt is Category #1 - and there is NO CHANCE this document will EVER cover OSPF - since OSPF already has RFC 7471 and this bis document is a correction to the IS-IS specific RFC7810. Calling it "-lsr-" to me is simply confusing as it in no way indicates that it is IS-IS specific.
I suggest that any document which falls into Category 1 should continue to follow the traditional protocol specific naming.
If this somehow violates some IETF rule then I suppose we could use "-lsr-isis-". (somewhat verbose)

For Category 2 documents "-lsr-" certainly makes sense. 

Comments??

   Les

> From: Acee Lindem (acee)
> Sent: Tuesday, April 03, 2018 7:45 AM
> To: Les Ginsberg (ginsberg) <[email-masked]>; [email-masked]
> Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-
> rfc7810bis-00.txt
> 
> Hi Les,
> 
> Can you resubmit as draft-ginsberg-lsr-rfc7810bis-00.txt? Also, please add a
> "Changes from RFC 7810" section to the "Introduction". I see you have added
> RFC8174 to the "Requirements Language" section already.
> 
> On 3/30/18, 6:39 PM, "Lsr on behalf of Les Ginsberg (ginsberg)" <lsr-
> [email-masked] on behalf of [email-masked]> wrote:
> 
>     Folks -
> 
>     A bis version of RFC 7810 has been submitted to address the issue reported
> in Errata ID: 5293 https://www.rfc-editor.org/errata_search.php?rfc=7810
> 
>     Given that there exist implementations which have interpreted the
> ambiguous encoding of some sub-TLVs in different/non-interoperable ways
> it was felt that a bis version of the RFC was justified.
>     To: Qin Wu <[email-masked]>; David Ward (wardd)
> <[email-masked]>; Spencer Giacolone <[email-masked]>;
> Spencer Giacalone <[email-masked]>; John Drake
> <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; David
> Ward (wardd) <[email-masked]>; Stefano Previdi <[email-masked]>
>     Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
>     The IETF Secretariat
>

---

From: Tony Li <[email-masked]>
Date: Wed, 04 Apr 2018 20:03:13 +0000

I don’t see the big deal in having the WG name in the draft title, even for
category 1 documents.

It’s only the name of the draft and the fact that it is protocol specific
doesn’t really need to be called out at that level.  People who read the
document will certainly figure it out.

Tony

On Wed, Apr 4, 2018 at 12:39 PM Les Ginsberg (ginsberg) <[email-masked]>
wrote:

> draft-ginsberg-isis-rfc7810bis-00.txt is Category #1 - and there is NO
> CHANCE this document will EVER cover OSPF - since OSPF already has RFC 7471
> and this bis document is a correction to the IS-IS specific RFC7810.
> Calling it "-lsr-" to me is simply confusing as it in no way indicates that
> it is IS-IS specific.
> I suggest that any document which falls into Category 1 should continue to
> follow the traditional protocol specific naming.
> >     Please see the Appendix of the draft for a discussion of the changes
> from
> > RFC 7810 and the reasons why.
> >
> >        Les
> >
> >
> >     has been successfully submitted by Les Ginsberg and posted to the
> IETF
> > repository.
> >
> >     URL:
> https://www.ietf.org/internet-drafts/draft-ginsberg-isis-
> > rfc7810bis-00.txt
> >     Status:
> https://datatracker.ietf.org/doc/draft-ginsberg-isis-rfc7810bis/
> >     Htmlized:
> https://tools.ietf.org/html/draft-ginsberg-isis-rfc7810bis-00
> >     Htmlized:
> https://datatracker.ietf.org/doc/html/draft-ginsberg-isis-
> > rfc7810bis
> >
> >
> >     Abstract:

---

From: Stefano Previdi <[email-masked]>
Date: Wed, 04 Apr 2018 20:05:31 +0000

...and, probably, this draft won't stay a draft long enough for the problem
to have any sort of materialisation.

s.

On Wed, Apr 4, 2018, 10:03 PM Tony Li <[email-masked]> wrote:

>
> I don’t see the big deal in having the WG name in the draft title, even
> for category 1 documents.
>
> On Wed, Apr 4, 2018 at 12:39 PM Les Ginsberg (ginsberg) <
> [email-masked]> wrote:
>
>> I suggest that any document which falls into Category 1 should continue
>> to follow the traditional protocol specific naming.
>> > in Errata ID: 5293
>> https://www.rfc-editor.org/errata_search.php?rfc=7810
>> <https://www.rfc-editor.org/errata_search..php?rfc=7810>
>> >
>> >     Please see the Appendix of the draft for a discussion of the
>> changes from
>> > <[email-masked]>; Spencer Giacolone <[email-masked]
>> <spencer.giacalone@gmail..com>>;
>> > submission until the htmlized version and diff are available at
>> tools.ietf..org <http://tools.ietf.org>.
>> >
>> >     The IETF Secretariat
>> >

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 4 Apr 2018 20:20:35 +0000

Hi Les, 

I considered this as well. 

On 4/4/18, 3:39 PM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

    

In this case, the name should include -isis- or -ospf- if there is any ambiguity. In the case of RFC 7810 BIS, there is none since RFC 7810 is IS-IS only. However, I wouldn't complain if you made it draft-ginsberg-lsr-isis-rfc7810bis.txt. We just need to have "-lsr-" as the WG for all new documents.

Thanks,
Acee

    
    
    Comments??
    
       Les

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 4 Apr 2018 20:27:26 +0000

I think the WG name should be in the expected place in the file name. I seem to remember some drafts with -bgp- rather than -idr- that flew under the radar for a while.
Thanks,
Acee

From: Tony Li <[email-masked]>
Date: Wednesday, April 4, 2018 at 4:03 PM
To: "Les Ginsberg (ginsberg)" <[email-masked]>
Cc: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

I don’t see the big deal in having the WG name in the draft title, even for category 1 documents.

It’s only the name of the draft and the fact that it is protocol specific doesn’t really need to be called out at that level.  People who read the document will certainly figure it out.

Tony

On Wed, Apr 4, 2018 at 12:39 PM Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:
Well...this raises a topic on which I would like to have feedback from the WG.

Comments??

   Les

> To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:
>
>     Folks -
>
>     From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
>     To: Qin Wu <[email-masked]<mailto:[email-masked]>>; David Ward (wardd)
> <[email-masked]<mailto:[email-masked]>>; Spencer Giacolone <[email-masked]<mailto:[email-masked]>>;
> Spencer Giacalone <[email-masked]<mailto:[email-masked]>>; John Drake
> <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; David
> Ward (wardd) <[email-masked]<mailto:[email-masked]>>; Stefano Previdi <[email-masked]<mailto:[email-masked]>>
> submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>
>     The IETF Secretariat
>
>     [email-masked]<mailto:[email-masked]>

_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 04 Apr 2018 13:57:30 -0700

+1

I’d think the below would work:

lsr for #2

lsr-ospf(ospfv3) / lsr-isis for #1 

Cheers,

Jeff

From: Lsr <[email-masked]> on behalf of "Acee Lindem (acee)" <[email-masked]>
Date: Wednesday, April 4, 2018 at 13:27
To: Tony Li <[email-masked]>, "Les Ginsberg (ginsberg)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

Thanks,
Acee

 

Tony

On Wed, Apr 4, 2018 at 12:39 PM Les Ginsberg (ginsberg) <[email-masked]> wrote:

Comments??

   Les

_______________________________________________ Lsr mailing list [email-masked] https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 4 Apr 2018 21:18:01 +0000

Fine with me.

More important, I would like to fast track this bis document since the changes are so pointed and directly affect the probability of interoperable implementations.

How quickly can we move to WG status?
Can we do that even before the name change – so I can issue “ietf-lsr-isis-rfc7810bis” ??

   Les

From: Jeff Tantsura <[email-masked]>
Sent: Wednesday, April 04, 2018 1:58 PM
To: Acee Lindem (acee) <[email-masked]>; Tony Li <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>
Cc: [email-masked]
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

+1

Cheers,
Jeff
From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, April 4, 2018 at 13:27
To: Tony Li <[email-masked]<mailto:[email-masked]>>, "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

From: Tony Li <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, April 4, 2018 at 4:03 PM
To: "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>
Cc: Acee Lindem <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

Tony

Comments??

   Les

_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr
_______________________________________________ Lsr mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/lsr

---

From: Christian Hopps <[email-masked]>
Date: Thu, 05 Apr 2018 10:32:10 -0400

I think that the only time we should include the protocol (in addition to '-lsr-') is if we have split documents (for whatever reason) on the same solution. We have an example of this actually:

    draft-ietf-isis-segment-routing-msd-09
    draft-ietf-ospf-segment-routing-msd-09

Going forward we either combine these types of documents into a single document (discussion started @101) so "-lsr-" is appropriate, or if there's some reason not to merge them then we have 2 documents that need the protocol identifier to disambiguate.

In this case there's no ambiguity so I don't see the need of adding an extra "-isis-".

Thanks,
Chris.

---

From: "Van De Velde, Gunter (Nokia - BE/Antwerp)" <[email-masked]>
Date: Thu, 5 Apr 2018 14:35:11 +0000

Yes, I agree with Chris. That seems as a reasonable approach going forward.

G/

-----Original Message-----
From: Lsr [mailto:[email-masked]] On Behalf Of Christian Hopps
Sent: Thursday, April 5, 2018 16:32
To: Les Ginsberg (ginsberg) <[email-masked]>
Cc: [email-masked]; Acee Lindem (acee) <[email-masked]>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

Thanks,
Chris.

Les Ginsberg (ginsberg) <[email-masked]> writes:

>> Subject: Re: [Lsr] FW: New Version Notification for 
>> draft-ginsberg-isis- rfc7810bis-00.txt
>>
>> Hi Les,
>>
>> Can you resubmit as draft-ginsberg-lsr-rfc7810bis-00.txt? Also, 
>> please add a "Changes from RFC 7810" section to the "Introduction". I 
>> see you have added
>> On 3/30/18, 6:39 PM, "Lsr on behalf of Les Ginsberg (ginsberg)" 
>> <lsr- [email-masked] on behalf of [email-masked]> wrote:
>>
>>     Folks -
>>
>>     A bis version of RFC 7810 has been submitted to address the issue 
>> reported in Errata ID: 5293 
>> ambiguous encoding of some sub-TLVs in different/non-interoperable 
>> ways it was felt that a bis version of the RFC was justified.
>> changes from RFC 7810 and the reasons why.
>>
>>        Les
>>
>>
>> <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; 
>> David Ward (wardd) <[email-masked]>; Stefano Previdi <[email-masked]>
>> IETF repository.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 5 Apr 2018 16:26:31 +0000

Chris -

> From: Christian Hopps <[email-masked]>
> Sent: Thursday, April 05, 2018 7:32 AM
> Cc: Acee Lindem (acee) <[email-masked]>; [email-masked]
> I think that the only time we should include the protocol (in addition to '-lsr-')
> is if we have split documents (for whatever reason) on the same solution.
> We have an example of this actually:
> 
> Going forward we either combine these types of documents into a single
> document (discussion started @101) so "-lsr-" is appropriate, or if there's
> some reason not to merge them then we have 2 documents that need the
> protocol identifier to disambiguate.
> 
[Les:] RFC 7810 is IS-IS specific.
There is a separate document for equivalent OSPF functionality (RFC 7471).

My point is - the reader should not have to go through the body of the document to find out that the document is specific to a particular protocol. The document name (which is preserved in the text even when it becomes an RFC) should make that clear.

   Les

> CHANCE this document will EVER cover OSPF - since OSPF already has RFC
> 7471 and this bis document is a correction to the IS-IS specific RFC7810. Calling
> it "-lsr-" to me is simply confusing as it in no way indicates that it is IS-IS
> specific.
> tools.ietf.org.

---

From: "t.petch" <[email-masked]>
Date: Fri, 6 Apr 2018 11:43:16 +0100

----- Original Message -----
From: "Les Ginsberg (ginsberg)" <[email-masked]>
Sent: Thursday, April 05, 2018 5:26 PM

> >     draft-ietf-xxxx-segment-routing-msd-09
> > In this case there's no ambiguity so I don't see the need of adding
an extra "-
> > isis-".
> [Les:] RFC 7810 is xxxx specific.
> My point is - the reader should not have to go through the body of the
document to find out that the document is specific to a particular
protocol. The document name (which is preserved in the text even when it
becomes an RFC) should make that clear.

I agree.

>From a purely personal point of view, I track OSPF but have no interest
in the other protocol (mention of which causes my ISP to blackhole my
e-mail).  I filter the I-D announce list and will see notification of
any I-D with OSPF in the title - any without OSPF in the title will pass
under the radar.

Tom Petch

> > > Well...this raises a topic on which I would like to have feedback
from the
> > WG.
> > >
> > > Combining xxxx/OSPF into one working group is fine - no argument
there.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 6 Apr 2018 17:57:53 +0000

Tom -

Thanx for the support.

It occurs to me that your filter still needs adjustment however - since there will be cases when a common document is used for all protocols - and in such a case you can only expect "-lsr-" to be in the title.

My point is there should be a straightforward way to identify the scope of the content from the name - just using "-lsr-" for all documents is very sub-optimal - and the fix for this is very easy.

   Les

> From: t.petch <[email-masked]>
> Sent: Friday, April 06, 2018 3:43 AM
> To: Les Ginsberg (ginsberg) <[email-masked]>; Christian Hopps
> <[email-masked]>
> document to find out that the document is specific to a particular protocol.
> The document name (which is preserved in the text even when it becomes
> an RFC) should make that clear.
> >
> 
> I agree.
> 
> From a purely personal point of view, I track OSPF but have no interest in the
> other protocol (mention of which causes my ISP to blackhole my e-mail).  I
> filter the I-D announce list and will see notification of any I-D with OSPF in the
> title - any without OSPF in the title will pass under the radar.
> 
> Tom Petch
> 
> >    Les
> >
> > > Thanks,
> > > Chris.
> > >

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 6 Apr 2018 19:25:01 +0000

I'm fine with the proposed naming conventions for new drafts. Formally: 

    <author-name>-lsr-ospf-<draft-specific-name>   - OSPF Specific drafts
    <author-name>-lsr-isis-<draft-specific-name>      - IS-IS Specific drafts 
    <author-name>-lsr-<draft-specific-name>             - Drafts covering both protocols. 

Anyone strongly disagree? 

Thanks,
Acee 

On 4/6/18, 1:57 PM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

    Tom -
    
    Thanx for the support.

    
       Les

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 6 Apr 2018 14:27:27 -0700

+1

Regards,
Jeff

> On Apr 6, 2018, at 12:25, Acee Lindem (acee) <[email-masked]> wrote:
>

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 6 Apr 2018 14:29:36 -0700

Acee,

What about ospfv2 vs ospfv3 specifics?
We keep it as before - eg “ospf” covers either or ospfv2, “ospfv3” is for ospfv3 only? 

Regards,
Jeff

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 6 Apr 2018 21:45:06 +0000

Good point - we will expand to: 

    <author-name>-lsr-ospf-<draft-specific-name>      - OSPF Specific drafts pertaining to both OSPFv2 and OSPFv3
    <author-name>-lsr-ospfv2-<draft-specific-name>  - OSPFv2 only Specific drafts 
    <author-name>-lsr-ospfv3-<draft-specific-name>  - OSPFv3 only Specific drafts     
    <author-name>-lsr-isis-<draft-specific-name>        - IS-IS Specific drafts
    <author-name>-lsr-<draft-specific-name>               - Drafts covering both protocols.

I'd hope the OSPFv2 and OSPFv3 specific drafts are few and far between but I can still see reasons to have both (e.g., OSPFv2 will never support multiple address familes). 

Thanks,
Acee    

On 4/6/18, 5:29 PM, "Jeff Tantsura" <[email-masked]> wrote:

    Acee,

    Regards,
    Jeff

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 06 Apr 2018 15:09:04 -0700

Sold!

Cheers,
Jeff
On 4/6/18, 14:45, "Acee Lindem (acee)" <[email-masked]> wrote:

    
    
    Thanks,
    Acee    

        Acee,

        Regards,
        Jeff

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 9 Apr 2018 17:42:02 +0000

Hi Les, 

We've converged on draft-ginsberg-lsr-isis-rfc7810bis-00.txt. Once updated, I'll immediately start a short WG adoption poll on this draft.

Thanks,
Acee

On 4/3/18, 10:44 AM, "Lsr on behalf of Acee Lindem (acee)" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Les, 

    
    Thanks,
    Acee

        Folks -

        
           Les

        -----Original Message-----
        From: [email-masked] <[email-masked]> 
        Sent: Friday, March 30, 2018 3:33 PM
        To: Qin Wu <[email-masked]>; David Ward (wardd) <[email-masked]>; Spencer Giacolone <[email-masked]>; Spencer Giacalone <[email-masked]>; John Drake <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; David Ward (wardd) <[email-masked]>; Stefano Previdi <[email-masked]>
        Subject: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

        Abstract:

        

        
        The IETF Secretariat

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 9 Apr 2018 19:03:25 +0000

Submitted.

   Les

> Sent: Monday, April 09, 2018 10:42 AM
> We've converged on draft-ginsberg-lsr-isis-rfc7810bis-00.txt. Once updated,
> I'll immediately start a short WG adoption poll on this draft.
> 
> Thanks,
> Acee
> 
> On 4/3/18, 10:44 AM, "Lsr on behalf of Acee Lindem (acee)" <lsr-
> [email-masked] on behalf of [email-masked]> wrote:
> 
>     Hi Les,
> 
> reported in Errata ID: 5293 https://www.rfc-
> editor.org/errata_search.php?rfc=7810
> 

Subject: New Version Notification for draft-ginsberg-lsr-isis-rfc7810bis-00.txt
From: "[email-masked]" <[email-masked]>
To: Qin Wu <[email-masked]>, "David Ward (wardd)" <[email-masked]>, Spencer Giacolone <[email-masked]>, Spencer Giacalone <[email-masked]>, John Drake <[email-masked]>, "Les Ginsberg (ginsberg)" <[email-masked]>, "David Ward (wardd)" <[email-masked]>, Stefano Previdi <[email-masked]>
Date: Mon, 9 Apr 2018 19:02:21 +0000

A new version of I-D, draft-ginsberg-lsr-isis-rfc7810bis-00.txt
has been successfully submitted by Les Ginsberg and posted to the
IETF repository.

Name:		draft-ginsberg-lsr-isis-rfc7810bis
Revision:	00
Title:		IS-IS Traffic Engineering (TE) Metric Extensions
Document date:	2018-04-09
Group:		Individual Submission
Pages:		19
URL:            https://www.ietf.org/internet-drafts/draft-ginsberg-lsr-isis-rfc7810bis-00.txt
Status:         https://datatracker.ietf.org/doc/draft-ginsberg-lsr-isis-rfc7810bis/
Htmlized:       https://tools.ietf.org/html/draft-ginsberg-lsr-isis-rfc7810bis-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ginsberg-lsr-isis-rfc7810bis

Abstract:

                                                                                  

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Uma Chunduri <[email-masked]>
Date: Mon, 16 Apr 2018 22:28:15 +0000

Hi Les,

> are so pointed and directly affect the probability of interoperable implementations.

Sure. Could you give more info (if available) on any other information of the interoperability/deployment apart from this obvious mismatch?

For example – Announcement periodicity as discussed in Section 7 or any other deployment aspect?

--
Uma C.

From: Lsr [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, April 04, 2018 2:18 PM
To: Jeff Tantsura <[email-masked]>; Acee Lindem (acee) <[email-masked]>; Tony Li <[email-masked]>
Cc: [email-masked]
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

Fine with me.

   Les

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, April 04, 2018 1:58 PM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Tony Li <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

+1

Cheers,
Jeff

Tony

Comments??

   Les

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 16 Apr 2018 22:41:52 +0000

Uma –

https://tools.ietf.org/html/draft-ginsberg-lsr-isis-rfc7810bis-00#appendix-A

documents the interoperability issue and the changes from RFC 7810. There are no other changes/issues.

If you feel this section is not clear please ask a pointed question.
Right now I have no idea what you are asking about.

   Les

From: Uma Chunduri <[email-masked]>
Sent: Monday, April 16, 2018 3:28 PM
To: Les Ginsberg (ginsberg) <[email-masked]>; Jeff Tantsura <[email-masked]>; Acee Lindem (acee) <[email-masked]>; Tony Li <[email-masked]>
Cc: [email-masked]
Subject: RE: [Lsr] FW: New Version Notification for draft-ginsberg-isis-rfc7810bis-00.txt

Hi Les,

--
Uma C.

To: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>; Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Tony Li <[email-masked]<mailto:[email-masked]>>

Fine with me.

   Les

+1

Cheers,
Jeff

Tony

Comments??

   Les